    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h3 class="breadcrumbs-title mt-0 mb-0">Ajouter un contrat</h3>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Gestion des contrats
              </li>
              <li class="breadcrumb-item active">Ajouter contrat
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>


<section class="invoice-edit-wrapper ">
<div class="row">
<!-- invoice view page -->
<form #f="ngForm" (ngSubmit)="save(f.value)">
<div class="col xl9 m8 s12">
<div class="card">
  <div class="card-content px-36">
    <!-- header section -->
    <div class="row mb-4">
      <div class="col xl6 m12 display-flex align-items-center">
        <label class="active">Période de :</label>
        <input type="date" name="periodede" #periodede="ngModel" [(ngModel)]="contrat.periodede" >
         </div>
      <div class="col xl6 m12">
        <div class="invoice-date-picker display-flex align-items-center">
        
          <label class="active">jusqu'a :</label>
              <input type="date" name="periodea" #periodea="ngModel" [(ngModel)]="contrat.periodea" >
          
        </div>
      </div>
    </div>
    <!-- logo and title -->
    <div class="row mb-3">
      <div class="col m6 s12 invoice-logo display-flex pt-1 push-m6">
        <img src="assets/app-assets/images/gallery/pixinvent-logo.png" alt="logo" height="46" width="164" />
      </div>
      <div class="col m6 s12 pull-m6">
        <h6 class="indigo-text">Date de contrat</h6>
        <input type="date" name="date" #date="ngModel" [(ngModel)]="contrat.date"  >
      </div>
    </div>

<br>
    <!-- invoice address and contact -->
    <div class="row mb-3">
      <div class="col l6 s12">
      
        <div class="input-field">
          <label for="nbrpersonne" class="active">Client</label>
          <select  searchable='Liste de Voiture' id="xxxx" name="client"  [(ngModel)]="contrat.client"   required >

          <option *ngFor="let c of clients" [value]="c.id">
            {{c.nom}} {{c.prenom}} || {{c.cin}}
           </option>
        </select>
            

            </div>
       
            <br/>
        <div class="input-field">
          <label> à compte </label>
          <input type="text" name="acompte" #acompte="ngModel" [(ngModel)]="contrat.acompte" >
        </div>
        <br/>
        <div class="input-field">
          <label class="active"> Liste des options </label>
         
          <select  multiple name="listeoption"  [(ngModel)]="listeoption" (change)="calculoption()">
            <option *ngFor="let o of options" [value]="o.id">
              {{o.nom}} 
             </option>
           
           
          </select>
            
      
           </div>
        
      </div>
      <div class="col l6 s12">
        <a class=" modal-trigger" href="#modal1">
          <button class="btn cyan waves-effect waves-light right" type="submit" name="action" >
            Ajouter client <i class="material-icons right">add</i>
           </button>
           </a> 



        </div>
       
    </div>
<div class="row">
    <div class="col l6 s12">

           <div class="input-field">
            <label class="active"> Nombre Voiture </label>
           
            <input type="number"   placeholder="1 / 2 / 3" name="r3" #r3="ngModel" [(ngModel)]="selectedValue" >               
        
             </div>
             </div>
            </div>

    <!-- product details table-->
    <div class="invoice-product-details mb-3" style="width: 100%;">
        <div data-repeater-list="group-a">

          <div class="invoice-item display-flex mb-1" style="background-color: #e4e3e3;" >
            <div class="col s2">
              <span class="invoice-subtotal-title" style="font-size: 12px;">Immatricule</span>

            </div>
            <div class="col s2">
              <span class="invoice-subtotal-title" style="font-size: 12px;" >Période de</span>

            </div>
            <div class="col s2">
              <span class="invoice-subtotal-title" style="font-size: 12px;">Période à</span>

            </div>
            <div class="col s2 ">
              <span class="invoice-subtotal-title" style="font-size: 12px;">N° Jour</span>

              </div>
            <div class="col s2 ">
              <span class="invoice-subtotal-title" style="font-size: 12px;">PrixTTC</span>

            </div>
          </div>

          <div class="mb-2" *ngIf="selectedValue">
            <!-- invoice Titles -->
            <div class="invoice-item display-flex mb-1" *ngFor="let x of counter(selectedValue);index as i;">
            
              <div class="invoice-item-filed row pt-1">
                <div class="col s12 m3 input-field">
                  <select class="browser-default" name="immatricule{{i}}" [(ngModel)]="timmatricule[i]" >
                    <option *ngFor="let v of voitures" [value]="v.immatricule">
                      {{v.immatricule}}-{{v.marque}}
                     </option>
                  </select>
              
                </div>
                <div class="col m3 s12 input-field">
                  <input type="date"  name="datedebut{{i}}"  [(ngModel)]="tdatedebut[i]" (change)="calculernbjour()">
                </div>
                <div class="col m3 s12 input-field" >
                  <input type="date"  name="datefin{{i}}"  [(ngModel)]="tdatefin[i]" (change)="calculernbjour()" (change)="calvoiture(f.value)">
                </div>
                <div class="col m1 s12 input-field">
                  <input type="hidden"   name="nbjour{{i}}"   [(ngModel)]="nbjour[i]" >
                  <input type="text"   name="nbjor{{i}}"   [(ngModel)]="nbjour[i]" disabled>
                  
                  </div>

                  <div class="col m2 s12 input-field" >
                    
                      
                    <ng-container *ngFor="let t of tarifications">
                      <ng-container *ngFor="let v of voitures">
                        <ng-container *ngIf="timmatricule[i]===v.immatricule && t.categoire === v.categoire ">
                  <input type="number" name="prix{{i}}"   value="{{t.prix}}" disabled>

<input type="hidden" name="prixtt{{i}}"  [(ngModel)]="t.prix" (change)="calvoiture(f.value)">

                        </ng-container>
                      </ng-container>
                      </ng-container>
                    </div>
                
              </div>
             
            </div>
          </div>
        </div>
       
    </div>
    <!-- invoice subtotal -->
    <div class="invoice-subtotal" >
      <div class="row">
        <div class="col m5 s12">
         
          <div class="input-field">
            <input type="text" placeholder="Ajouter commentaire" name="commentaire" #commentaire="ngModel" [(ngModel)]="contrat.commentaire" (change)="calvoiture(f.value)">
          </div>
        </div>
        <div class="col xl4 m7 s12 offset-xl3"  >
          <ul>
            <li class="display-flex justify-content-between">
              <span class="invoice-subtotal-title" >Prix voiture</span>
              <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixvoiture}} Dt</h6>
            </li>
            <li class="display-flex justify-content-between">
              <span class="invoice-subtotal-title">Prix option</span>
              <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixoption}} Dt</h6>
            </li>
         
            <li>
              <div class="divider mt-2 mb-2"></div>
            </li>
           
            <li class="display-flex justify-content-between">
              <span class="invoice-subtotal-title">Prix Total (DT)</span>
              <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixtotal}} Dt</h6>
            </li>
            <li class=" mt-2">
              
              <button (click)="calvoiture(f.value)" class="btn cyan btn-block waves-effect waves-light" >Recalculer</button>

            </li>
            <li class=" mt-2">

              <button type="submit" class="btn btn-block waves-effect waves-light" >Valider</button>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>
</div>
</form>
<!-- invoice action  -->
<div class="col xl3 m4 s12">
<div class="card invoice-action-wrapper mb-10">
  <div class="card-content">
    <div class="invoice-action-btn">
      <a class="btn indigo waves-effect waves-light display-flex align-items-center justify-content-center">
        <i class="material-icons mr-4">check</i>
        <span class="responsive-text" >Envoyer contrat</span>
      </a>
    </div>
    <div class="invoice-action-btn">
      <a class="btn btn-light-indigo btn-block waves-effect waves-light">
        <span class="responsive-text">Télécharger </span>
      </a>
    </div>
    <div class="invoice-action-btn">
      <a class="btn btn-light-indigo btn-block waves-effect waves-light">
        <span class="responsive-text" (click)="calculdate()">Facturer </span>
      </a>
    </div>
    <div class="row invoice-action-btn">
      <div class="col s6 preview">
        <a class="btn btn-light-indigo btn-block waves-effect waves-light" [routerLink]="['/VoirContrat']">
          <span class="responsive-text">Voir</span>
        </a>
      </div>
      <div class="col s6 save">
        <a class="btn btn-light-indigo btn-block waves-effect waves-light">
          <span class="responsive-text">Enregistrer</span>
        </a>
      </div>
    </div>
    
  </div>
</div>






<div id="modal1" class="modal" style=" width:900px ;">
  <form #fc="ngForm" (ngSubmit)="saveclient(fc.value)">
<div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
  <h6>Ajouter Clients
  </h6>
  
  <div class="row">
   <div class="input-field col m4 s4">
      <input type="Text" class="validate" name="nom" #nom="ngModel" [(ngModel)]="client.nom" required>
       <label for="nbrpersonne">Nom*</label>
       <small  class="errorTxt1" *ngIf="nom.touched  &&  nom.invalid" ><div id="uname-error" class="error">saisir votre nom</div></small>

   </div>
   <div class="input-field col m4 s4">
       <input type="text" class="validate" name="prenom" #prenom="ngModel" [(ngModel)]="client.prenom" required>
       <label for="nbrpersonne">Prénom*</label>
       <small  class="errorTxt1" *ngIf="prenom.touched  &&  prenom.invalid" ><div id="uname-error" class="error">saisir votre prenom</div></small>

   </div>
   <div class="input-field col m4 s4">
    <input type="Text" class="validate" name="cin" #cin="ngModel" [(ngModel)]="client.cin" required>
    <label for="nbrpersonne">cin</label>
    <small  class="errorTxt1" *ngIf="cin.touched  &&  cin.invalid" ><div id="uname-error" class="error">saisir votre cin</div></small>

</div>
 </div>



 <div class="row">
 

  <div class="input-field col m4 s4">
      <input type="text" class="validate" name="ville" #ville="ngModel" [(ngModel)]="client.ville" required>
      <label for="nbrporte">Ville</label>
      <small  class="errorTxt1" *ngIf="ville.touched  &&  ville.invalid" ><div id="uname-error" class="error">saisir votre ville</div></small>

  </div>
  <div class="input-field col m4 s4">
      <input type="Text" class="validate" name="codepostale" #codepostale="ngModel" [(ngModel)]="client.codepostale" required>
      <label for="nbrpersonne">code postale</label>
      <small  class="errorTxt1" *ngIf="codepostale.touched  &&  codepostale.invalid" ><div id="uname-error" class="error">saisir votre codepostale</div></small>

  </div>
  <div class="input-field col m4 s4">
    <input type="text" class="validate"  name="tel1" #tel1="ngModel" [(ngModel)]="client.tel1" required>
    <label for="nbrporte">numéro Tel</label>
    <small  class="errorTxt1" *ngIf="tel1.touched  &&  tel1.invalid" ><div id="uname-error" class="error">saisir votre tel1</div></small>
  </div>
</div>
<div class="row">
 
  <div class="input-field col m4 s4">
      <input type="text" class="validate"  name="tel2" #tel2="ngModel" [(ngModel)]="client.tel2" required>
      <label for="nbrpersonne">numero tel2</label>
      <small  class="errorTxt1" *ngIf="tel2.touched  &&  tel2.invalid" ><div id="uname-error" class="error">saisir votre tel1</div></small>

  </div>
  <div class="input-field col m4 s4">
    <input type="date" class="validate"  name="datenaissance" #datenaissance="ngModel" [(ngModel)]="client.datenaissance" required >
    <label for="nbrpersonne">Date de naissance</label>
    <small  class="errorTxt1" *ngIf="datenaissance.touched  &&  datenaissance.invalid" ><div id="uname-error" class="error">saisir votre datenaissance</div></small>

</div>
  <div class="input-field col m4 s4">
    <input type="email" class="validate"  name="email" #email="ngModel" [(ngModel)]="client.email" required >
    <label for="nbrporte">email</label>
    <small  class="errorTxt1" *ngIf="email.touched  &&  email.invalid" ><div id="uname-error" class="error">saisir votre email</div></small>

</div>

  
</div>


  <div class="modal-footer">
      <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
         <i class="material-icons right">send</i>
       </button>
   </div>
   

</div>

</form>
</div>